#ifndef __ARENA_H__
#define __ARENA_H__

#include <vector>
#include "ArenaInterface.h"

class arena : public ArenaInterface {
    private:
        std::vector<FighterInterface *> fighters;
        bool contains(string name);
    public:
        arena(){}
        ~arena();
		bool addFighter(string info);
		bool removeFighter(string name);
		FighterInterface * getFighter(string name);
		int getSize();

    friend ostream & operator<<(ostream &, arena &);
};


#endif
